/* dis9830: a portable disassembler for the HP 9830A/B calculator */
/* Copyright (c) 2013-2014, Robert Ferguson (rob@bitscience.ca) */
/* All rights reserved; see LICENSE for details */

#include <stdio.h>  
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <sys/errno.h>

#include "dis9830.h"
     
/* general error messages */

void
error(char *s, ...)
{
	va_list ap;

	va_start(ap, s);
	vfprintf(stderr, s, ap);
	va_end(ap);

	if (errno) {
		fprintf(stderr, ": %s", strerror(errno));
	}

	printf("\n");
}
